# Packmangroup: Libraries
# Packmanpackagename: jakarta-commons-net
# Packman: Manfred Tremmel

#
# spec file for package jakarta-commons-net (Version 1.4.1)
#

# norootforbuild
# icecream 0
# usedforbuild    aaa_base acl ant ant-junit attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-logging java-1_5_0-sun java-1_5_0-sun-devel jpackage-utils junit klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed servletapi5 servletapi5-javadoc strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xerces-j2 xml-commons xml-commons-apis xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           jakarta-commons-net
%define base_name       net
%define short_name      commons-%{base_name}
%define name            jakarta-%{short_name}
%define section         free
Summary:        Jakarta Commons Net Package
Summary(de):    Jakarta Commons Net Paket
Version:        1.4.1
Release:        2.pm.2.10
License:        The Apache Software License
Group:          Development/Libraries/Java
URL:            http://jakarta.apache.org/commons/net/
Source0:        commons-net-1.4.1-src.tar.bz2
Patch0:         jakarta-commons-net-java14compat.patch
Patch1:         jakarta-commons-net-java15compat.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  ant-junit
BuildRequires:  jakarta-commons-beanutils
%if %suse_version >= 1020
%if %suse_version >= 1100
BuildRequires:  java-1_6_0-openjdk-devel
%else
BuildRequires:  java-1_5_0-sun-devel
%endif
%else
Requires:       java >= 1.4.0
BuildRequires:  java-sdk >= 1.4.0
%endif
BuildRequires:  update-alternatives
BuildRequires:  xml-commons-apis
BuildRequires:  oro
BuildRequires:  oro-javadoc
BuildArch:      noarch
Provides:       %{short_name}
Obsoletes:      %{short_name}

%description
Jakarta Commons Net implements the client side of many basic Internet
protocols. The purpose of the library is to provide fundamental protocol
access, not higher-level abstractions. Therefore, some of the design
violates object-orienteddesign principles.


%description -l de
Jakarta Commons Net implementiert die Klientseite vieler Basis Internet-
Protokolle. Der Sinn der Bibliothek ist, den Zugriff über die fundamentalen
Protokolle zu ermöglichen, keine Highlevel Abstraktion. Demzufolge verletzt
das Design einige der objektorientierten Prinzipien.




%package        javadoc
PreReq:         coreutils
Summary:        Javadoc for jakarta-commons-net
Summary(de):    Javadoc für jakarta-commons-net
Group:          Development/Libraries/Java

%description javadoc
Jakarta Commons Net implements the client side of many basic Internet
protocols. The purpose of the library is to provide fundamental protocol
access, not higher-level abstractions. Therefore, some of the design
violates object-orienteddesign principles.

This package contains the javadoc documentation for the Jakarta Commons
Net Package.


%description javadoc -l de
Jakarta Commons Net implementiert die Klientseite vieler Basis Internet-
Protokolle. Der Sinn der Bibliothek ist, den Zugriff über die fundamentalen
Protokolle zu ermöglichen, keine Highlevel Abstraktion. Demzufolge verletzt
das Design einige der objektorientierten Prinzipien.

Dieses Paket enthält die Javadoc Dokumente für das Jakarta Commons Net
Paket.


%prep
%setup -q -n %{short_name}-%{version}
%if %suse_version < 1100
%patch0 -p0
%else
%patch1 -p0
%endif
# -----------------------------------------------------------------------------

%build
export CLASSPATH="$(build-classpath junit oro \
jakarta-commons-beanutils):$PWD/target/classes:$PWD/target/test-classes"
ant \
  -Dbuild.sysclasspath=only \
  -Dfinal.name=%{name}-%{version} \
  dist
# -----------------------------------------------------------------------------

%install
# jars
%{__mkdir_p} %{buildroot}%{_javadir}
cp -p dist/%{name}-%{version}.jar %{buildroot}%{_javadir}
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} -f ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} -f ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
# -----------------------------------------------------------------------------

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
%{__ln_s} %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  %{__rm} -f %{_javadocdir}/%{name}
fi
# -----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
# -----------------------------------------------------------------------------

%changelog -n jakarta-commons-net
* Fri Sep 11 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.4-1.pm.1
- cleanups where rpmlint wasn't so happy
* Tue Nov 21 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial packman release
